/**
 * Copyright 2012 52North Initiative for Geospatial Open Source Software GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.n52.android.tracker.services;

import org.n52.android.tracker.connection.IConnection;
import org.n52.android.tracker.datastructure.Sensor;


/**
 * @author Jan Schulte
 *
 */
public interface ITrackerServiceBinder {
	
	void startTrack(Sensor sensor, long minTime, float minDistance, IConnection connection);
	
	void stopTrack();

}
