/**
 * Copyright 2012 52North Initiative for Geospatial Open Source Software GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.n52.android.tracker;


public class Constants {
	
	// Template fields
	
	public static final String PROCEDUREID = "@PROCEDUREID@";
	
	public static final String STARTPOINT = "@STARTPOINT@";
	
	public static final String LONGITUDE = "@LONGITUDE@";
	
	public static final String LATITUDE = "@LATITUDE@";
	
	public static final String ALTITUDE = "@ALTITUDE@";
	
	public static final String INPUTLIST = "@INPUTLIST@";
	
	public static final String OUTPUTLIST = "@OUTPUTLIST@";
	
	public static final String OFFERING = "@OFFERING@";
	
	public static final String OFFERINGBESCHREIBUNG = "@OFFERINGBESCHREIBUNG@";
	
	public static final String BEGIN = "@BEGIN@";
	
	public static final String END = "@END@";

	public static final String COMPONENTS = "@COMPONENTS@";

	public static final String GMLID = "@GMLID@";

	public static final String COUNT = "@COUNT@";

	public static final String FIELDS = "@FIELDS@";

	public static final String DECIMALSEP = "@DECIMALSEP@";

	public static final String TOKENSEP = "@TOKENSEP@";

	public static final String BLOCKSEP = "@BLOCKSEP@";

	public static final String VALUES = "@VALUES@";
	
	public static final String TEMPLATE_ID = "@TEMPLATE_ID@";
	
	public static final String INPUT_NAME = "@INPUT_NAME@";
	
	public static final String INPUT_DEFINITION = "@INPUT_DEFINITION@";
	
	public static final String OUTPUT_NAME = "@OUTPUT_NAME@";
	
	public static final String OUTPUT_DEFINITION = "@OUTPUT_DEFINITION@";
	
	public static final String UOM = "@UOM@";
	
	public static final String FIELD_NAME = "@FIELD_NAME@";
	
	public static final String FIELD_DEFINITION = "@FIELD_DEFINITION@";
	
	public static final String COMPONENT_DEFINITION = "@COMPONENT_DEFINITION@";

	// Configuartions
	
	public static final String DECIMALSEP_SIGN = ".";
	
	public static final String TOKENSEP_SIGN = ",";

	public static final String BLOCKSEP_SIGN = ";";
	
	// Types of phenomenons
	
	public enum ValueTypes {textType, numericType, booleanType, countType, positionType}
	
}
